| Home | Libraries | People | FAQ | More

##### segments_encoded_view::value_type

(Inherited from `segments_encoded_base`)

The value type.

###### Synopsis

    using value_type = std::string;

###### Description

Values of this type represent a segment where unique ownership is retained by making a copy.

###### Example

    segments_encoded_base::value_type ps( url_view( "/path/to/file.txt" ).encoded_segments().back() );